<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
defined('_JEXEC') or die;
JHtml::_('behavior.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.formvalidation');
$fieldSets = $this->form->getFieldsets('params');
?>

<form action="<?php echo JRoute::_('index.php'); ?>"
	method="post" name="adminForm" id="adminForm" class="form-validate">
	<div class="form-horizontal">
		
		<?php echo JHtml::_('bootstrap.startPane', 'myTab', array('active' => 'details')); ?>
		
		<?php echo JHtml::_('bootstrap.addPanel', 'myTab', 'details', empty($this->item->id) ? JText::_('COM_BPORTMAN_NEW_PROJECT', true) 
		: JText::sprintf('COM_BPORTMAN_EDIT_PROJECT', $this->item->id, true)); ?>
		
		<div class="row-fluid ">
			<div class="form-horizontal">
				<?php if($this->showSearch): ?>
					<?php if($this->status != 'S'):?>
					<div class="span12">
						<div class="bop-project-search-form">
							<div style="text-align:center;margin-bottom:20px;">
								<img src="<?php echo JURI::root( true );?>/media/com_bportman/common/images/portfolio-manager.png">
							</div>							
							<div>
								<div class="filter-search btn-group pull-left">
									<input type="text" name="bp_search_id" id="bp_search_id" 
										<?php if($this->status == 'S'):?>
											disabled ="disabled"
										<?php endif;?>						
										placeholder="<?php echo JText::_('COM_BPORTMAN_BPORTMAN_PROJECT_ID_SEARCH'); ?>" 
										value="<?php echo $this->input->get('bp_search_id'); ?>" 
										class="hasTooltip required validate-numeric" title="<?php echo JHtml::tooltipText('COM_BPORTMAN_BPORTMAN_PROJECT_ID_SEARCH_DESC'); ?>" 
									/>
								</div>
								<div class="btn-group pull-left">
									<?php if($this->status!= 'S'):?>
										<button class="btn hasTooltip" type="submit"
											title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"
											onclick ="setCustomTask('bpsearch');">
											<i class="icon-search"></i>
										</button>
									<?php endif;?>
									<button type="submit" class="btn hasTooltip" 
										title="<?php echo JHtml::tooltipText('JSEARCH_FILTER_CLEAR'); ?>" 
										onclick="setCustomTask('clear_search');">
										<i class="icon-remove"></i>
									</button>
								</div>
							</div>	
							<div class="bop-information">
								<h4>Having problems? Please refer to our <a target="_blank" href="http://www.downloads.eleopard.in/portfolio-manager-documentation.html">Documentation</a></h4>
							</div>
						</div>
					</div>					
					<?php else: ?>
						<div class="span5">
							<div class="control-label"><label title="" class="hasTooltip" for="bp_search_id" id="bp_search_id-lbl" data-original-title="&lt;strong&gt;Search&lt;/strong&gt;&lt;br /&gt;Search for Behance Project ID:">Search</label></div>
							<div class ="controls">
								<div class="filter-search btn-group pull-left">
									<input type="text" name="bp_search_id" id="bp_search_id" 
										<?php if($this->status == 'S'):?>
											disabled ="disabled"
										<?php endif;?>						
										placeholder="<?php echo JText::_('COM_BPORTMAN_BPORTMAN_PROJECT_ID_SEARCH'); ?>" 
										value="<?php echo $this->input->get('bp_search_id'); ?>" 
										class="hasTooltip required validate-numeric" title="<?php echo JHtml::tooltipText('COM_BPORTMAN_BPORTMAN_PROJECT_ID_SEARCH_DESC'); ?>" 
									/>
								</div>
								<div class="btn-group pull-left">
									<?php if($this->status!= 'S'):?>
										<button class="btn hasTooltip" type="submit"
											title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"
											onclick ="setCustomTask('bpsearch');">
											<i class="icon-search"></i>
										</button>
									<?php endif;?>
									<button type="submit" class="btn hasTooltip" 
										title="<?php echo JHtml::tooltipText('JSEARCH_FILTER_CLEAR'); ?>" 
										onclick="setCustomTask('clear_search');">
										<i class="icon-remove"></i>
									</button>
								</div>
							</div>
						</div>
					<?php endif; ?>		
				<?php endif; ?>		
				<?php if($this->status== 'S'):?>
					<div class="span5">			
						<?php $soloField= $this->form->getField('catid'); ?>
						<div class="control-group">
							<div class="control-label">
								<?php echo $soloField->label; ?>
							</div>
							<div class="controls">
								<?php echo $soloField->input; ?>
							</div>
						</div>						
					</div>
					
				<?php endif; ?>
				
			</div>
		</div>
		<?php if($this->status== 'S'):?>
		<div class="row-fluid">
			<div class="form-horizontal">
				<div class="span5">
					<?php $soloField= $this->form->getField('state'); ?>
					<div class="control-group">
						<div class="control-label">
							<?php echo $soloField->label; ?>
						</div>
						<div class="controls">
							<?php echo $soloField->input; ?>
						</div>
					</div>	
				</div>
				<div class="span5">
					<?php $soloField= $this->form->getField('access'); ?>
					<div class="control-group">
						<div class="control-label">
							<?php echo $soloField->label; ?>
						</div>
						<div class="controls">
							<?php echo $soloField->input; ?>
						</div>
					</div>					
				</div>
			</div>
		</div>
		<?php endif; ?>
		
					
		<!--<input type="submit" name="submit" value="Submit" onSubmit="setTask('bpsearch')"/>-->	
		<?php if($this->status== 'S'):?>
		<div class="row-fluid">
			<div class="span10 hidden-phone">
				<h4>Project Preview</h4>
				<?php echo $this->loadTemplate('preview');?>
			</div>			
			<div class="span2">
				<h4>Configuration</h4>
				<div class="bop-options-wrapper">
					<?php	foreach ($fieldSets as $name => $fieldset):					
						if (isset($fieldset->description) && trim($fieldset->description)): ?>
							<p class="tip">
								<?php echo $this->escape(JText::_($fieldset->description));?>
							</p>
						<?php	endif;?>
						<?php	foreach ($this->form->getFieldset($name) as $field) : ?>
							<div style="height:70px;" class="bop-control-wrapper" id="<?php echo $field->fieldname; ?>">					
								<?php echo $field->label; ?>
								<?php echo $field->input; ?>								
							</div>
						<?php	endforeach; ?>				
					<?php	endforeach; ?>
				</div>				
				<?php //echo JLayoutHelper::render('joomla.edit.params', $this); ?>
			</div>
			 
		</div>
			
		<?php echo $this->form->getInput('b_project_id'); ?>
		<?php echo $this->form->getInput('b_project_name'); ?>
		<?php echo $this->form->getInput('b_project_thumb'); ?>
		<?php echo $this->form->getInput('b_creative_fields'); ?>
		<?php echo $this->form->getInput('b_create_date'); ?>
		<?php echo $this->form->getInput('b_modified_timestamp'); ?>
		<?php endif; ?>
					
										
		<?php echo JHtml::_('bootstrap.endPanel'); ?>


		<input type="hidden" name="task" value="" />
		<input type="hidden" name="customtask" value= "" />
		<input type="hidden" name="option" value = "com_bportman" />
		<input type="hidden" name="view" value= "project" />
		<input type="hidden" name="layout" value = "edit" />
		<input type="hidden" name= "id" value="<?php echo (int) $this->item->id; ?>" />		
		
						
		<?php echo JHtml::_('form.token'); ?>

		<?php echo JHtml::_('bootstrap.endPane'); ?>
		
	</div>
</form>
<div style="text-align:center;margin-bottom:20px;">
	<p style="text-align:center;margin-bottom:20px;">
		<img style="max-width:140px;" src="<?php echo JURI::root( true );?>/media/com_bportman/admin/images/behance_logo.png"/>
	</p>	
</div>
