<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * HTML View class for the BPortMan Component
 */

class BPortManViewCategory extends JViewLegacy
{
	
	protected $category;
	protected $projects;
	protected $levels;
	protected $params;
	protected $advancedParams;
	
	function display($tpl = null)
	{
		
		//getting user info
		$user		= JFactory::getUser();		
		$this->levels = $user->getAuthorisedViewLevels();
		
		//getting params
		$state = $this->get('State');
		$this->params = $state->get('params');
		
		//getting advanced Params
		$advParams = JComponentHelper::getParams('com_bportman');
		
		$this->advancedParams = new stdClass();
		$this->advancedParams->showModal = $advParams->get('show_project_modal', '0');
		$this->advancedParams->modalWidth = $advParams->get('project_modal_width','');
		$this->advancedParams->modalHeight = $advParams->get('project_modal_height', '');
		
			
		// Assign data to the view
		$this->category = $this->get('category');
		$this->projects = $this->get('projects');	
		
		
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::root().'media/com_bportman/site/css/mosaic_style'. $this->params->get('mosaic_style').'.css');
		
		$inlineCSS = '	 
			.eds-bpm-view-dynamic
			{
				margin: '.$this->params->get('tilemargin').'px;
			}			
			.isotope-item{
				position: relative;
			  	float: left;
			  	width: 220px;
		   		height: 158px;	  	
			}
			.isotope-item > * {
		  		margin: 0;
		  		padding: 0;
			} ';
		
		//Adding Inline CSS
		$document->addStyleDeclaration($inlineCSS);
		
		
		//ADding jquery		
		JHtml::_('jquery.framework');
		if(intval($this->advancedParams->showModal))
			JHTML::_('behavior.modal');
								
		// Display the view
		parent::display($tpl);
	}
	
}