<?php 
/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php defined('_JEXEC') or die;?>
<?php 

	//Advanced Configuration Parameters
	$show_project_title = $this->params->get('show_title');
	$show_creative_fields = $this->params->get('show_fields') && $this->bPrData['fields']!=null && sizeof($this->bPrData['fields']);
	$show_project_by = $this->params->get('show_project_by');
	$show_about_project = $this->params->get('show_about_project') && $this->bPrData['description']!=null && strlen($this->bPrData['description']);
	$show_publish_date =  $this->params->get('show_publish_date');
	$show_views = $this->params->get('show_views');
	$show_appreciations = $this->params->get('show_appreciations');
	$show_comments = $this->params->get('show_comments');
	$show_tags = $this->params->get('show_project_tags') && $this->bPrData['tags']!=null && sizeof($this->bPrData['tags']);
	$show_tools_used = $this->params->get('show_tools_used') && $this->bPrData['tools']!=null && sizeof($this->bPrData['tools']);
	$show_copyright_info = $this->params->get('show_copyright_info') &&	isset($this->bPrData['copyright']) && sizeof($this->bPrData['copyright']);
							
	$license_id = intval($this->bPrData['copyright']['license_id']);				
	
	//Combined Checks
	$show_project_details_wrapper = $show_project_title || $show_creative_fields || $show_views || $show_appreciations || $show_comments;
	$show_project_info_wrapper = $show_tools_used || $show_about_project || $show_project_by;
	
	$show_project_sidebar = $show_project_by || $show_about_project || $show_publish_date || $show_tools_used;

	$bFields ='';
	foreach ($this->bPrData['fields'] as $bField){ 
		$bFields = $bFields. ', ' . $bField;
	}
	$bToolsUsed = "";
	foreach ($this->bPrData['tools'] as $tool){
		$bToolsUsed .= ", " . $tool['title'];
	}

?>
<div id="bop-container">
	<div id="bop-waiting-popup" class="bop-waiting-popup" style="display:none;">
	    <div class="bop-popup-background"></div>
	    <div class="bop-loading-image">
	        <div class="flower-loader">
  				Loading…
			</div>
	    </div>	    
	</div>
	<div id="bop-project" style="opacity:0">
		<?php if(!(intval($this->advancedParams->showModal)) && intval($this->advancedParams->showBackButton)):?>
		<div id="bop-back-wrapper-large">
			<a class="bop-back-button" href="javascript:void(0)" onclick="window.history.go(-1);"><i class="zmdi zmdi-arrow-back zmd-lg"></i> Back</a>
		</div>
		<?php endif; ?>
		<div id="bop-all-wrapper">			
			<div class="bop-project-area">
				<div id="bop-project-wrapper">
					<div id="bop-project-left">						
						<div class="bop-primary-project-content">
							<div class="spacer" style="height: <?php echo $this->bPrData['styles']['spacing']['project']['top_margin'];?>px">
							</div>
							<?php foreach($this->bPrData['modules'] as $bModule):?>
								<?php if($bModule['full_bleed'] == '1'): ?>
        								<?php if($bModule['type'] == 'media_collection' && $bModule['collection_type'] == 'grid'): ?>	
        								<div class="bop-text-center bop-image-full bop-grid-wrapper">
        								<?php else: ?>
        								<div class="bop-text-center bop-image-full">
									<?php endif; ?>
								<?php else: ?>
									<?php if($bModule['type'] == 'media_collection' && $bModule['collection_type'] == 'grid'): ?>	
									<div class="bop-text-center bop-grid-wrapper">
									<?php else: ?>
									<div class="bop-text-center">
									<?php endif; ?>
								<?php endif; ?>						
								<?php if($bModule['type'] == 'image'): ?>
									<img src="<?php echo $bModule['sizes']['original'];?>" />
									<?php if(isset($bModule['caption']) && !empty($bModule['caption'])): ?>
									<div class="caption-alignment-<?php echo $bModule['caption_alignment']; ?>">
										<div class="caption">
											<?php echo $bModule['caption']; ?>
										</div>
									</div>
									<?php endif; ?>
								<?php elseif ($bModule['type'] == 'text'):?>
									<?php if(isset($bModule['caption_alignment'])): ?>
									<div class="bop-project-text caption-alignment-<?php echo $bModule['caption_alignment']; ?>">
									<?php else: ?>
									<div class="bop-project-text">
									<?php endif; ?>
									<?php echo $bModule['text']; ?>		
									</div>															
								<?php elseif ($bModule['type'] == 'audio'):?>
									<?php echo $bModule['embed']; ?>
									<?php if(isset($bModule['caption']) && !empty($bModule['caption'])): ?>
										<div class="caption-alignment-<?php echo $bModule['caption_alignment']; ?>">
											<div class="caption">
												<?php echo $bModule['caption']; ?>
											</div>
										</div>
									<?php endif; ?>
								<?php elseif ($bModule['type'] == 'embed'):?>
									<?php 
										$embed_original_width = ''; $embed_original_height = ''; $embed_padding_bottom = ''; $embed_alignment= ''; 									
										if( isset($bModule['original_width']) && isset($bModule['original_height'])){
											
											$embed_original_width = 'max-width: ' . $bModule['original_width'] .'px';									
											$embed_original_height = 'max-height: ' . $bModule['original_height'] .'px';											
											$aspect_ratio = (intval( $bModule['original_height'] ) /  intval($bModule['original_width']))*100;
											$aspect_ratio = round($aspect_ratio, 2 );
											$embed_padding_bottom = 'padding-bottom:' . $aspect_ratio . '%';
										}
										if( isset( $bModule['alignment'] ) ){
											$embed_alignment = 'embed-align-'.$bModule['alignment'];
										}
									?>
																	
									<div class="embed-dimensions <?php echo $embed_alignment; ?>" style="<?php echo $embed_original_width . ';' . $embed_original_height.';'; ?>">
								        <div class="embed-aspect-ratio" style="<?php echo $embed_padding_bottom?>;">							         
											<?php echo $bModule['embed']; ?>
										</div>
									</div>
									<?php if(isset($bModule['caption']) && !empty($bModule['caption'])): ?>
										<div class="caption-alignment-<?php echo $bModule['caption_alignment']; ?>">
											<div class="caption">
												<?php echo $bModule['caption']; ?>
											</div>
										</div>
									<?php endif; ?>
								<?php elseif ($bModule['type'] == 'video'):?>
									<?php  if(isset($bModule['embed'])): ?>
										<?php 
											$embed_original_width = ''; $embed_original_height = ''; $embed_padding_bottom = ''; $embed_alignment= ''; 									
											if( isset($bModule['width']) && isset($bModule['height'])){
												
												$embed_original_width = 'max-width: ' . $bModule['width'] .'px';									
												$embed_original_height = 'max-height: ' . $bModule['height'] .'px';											
												$aspect_ratio = (intval( $bModule['height'] ) /  intval($bModule['width']))*100;
												$aspect_ratio = round($aspect_ratio, 2 );
												$embed_padding_bottom = 'padding-bottom:' . $aspect_ratio . '%';
											}
											if( isset( $bModule['alignment'] ) ){
												$embed_alignment = 'embed-align-'.$bModule['alignment'];
											}
										?>																		
										<div class="embed-dimensions <?php echo $embed_alignment; ?>" style="<?php echo $embed_original_width . ';' . $embed_original_height.';'; ?>">
									        <div class="embed-aspect-ratio" style="<?php echo $embed_padding_bottom?>;">							         
												<?php echo $bModule['embed']; ?>
											</div>
										</div>
									<?php else: ?>
										<a href="<?php echo $bModule['src']; ?>" target="_blank" >Video</a>
									<?php endif;?>
									<?php if(isset($bModule['caption']) && !empty($bModule['caption'])): ?>
										<div class="caption-alignment-<?php echo $bModule['caption_alignment']; ?>">
											<div class="caption">
												<?php echo $bModule['caption']; ?>
											</div>
										</div>
									<?php endif; ?>
								<?php elseif( $bModule['type'] == 'media_collection' && $bModule['collection_type'] == 'grid' ):?>								
									<?php foreach($bModule['components'] as $component):?>
										<div class="bop-grid" style="width: <?php echo $component["flex_width"]; ?>px; flex-grow: <?php echo $component["flex_width"]; ?>;">											
											<?php $src_set = array(); ?>
											<?php if( isset( $component["dimensions"] ) && !empty($component["dimensions"])	&& 
													isset( $component["sizes"] ) && !empty($component["sizes"])):?>
											<?php foreach( $component["dimensions"] as $key => $dimension ):?>
												<?php if( isset($component["sizes"][$key]) ) :?>
													<?php array_push($src_set, ''.$component["sizes"][$key] . ' ' . $dimension["width"]. 'w' ); ?>
												<?php endif; ?>
											<?php endforeach;?>
											<?php endif;?>		
											<?php if(count($src_set)):?>
												<img class="bop-grid-image" src="<?php echo $component["src"]; ?>" srcset="<?php echo implode(", ",$src_set);?>">											
											<?php endif;?>												
										</div>
									<?php endforeach; ?>							
									<?php if(isset($bModule['caption']) && !empty($bModule['caption'])): ?>
										<div class="caption-alignment-<?php echo $bModule['caption_alignment']; ?>">
											<div class="caption">
												<?php echo $bModule['caption']; ?>
											</div>
										</div>
									<?php endif; ?>																	
								<?php endif;?>					
								</div>
								<div class="spacer" style="height: <?php echo $this->bPrData['styles']['spacing']['modules']['bottom_margin'];?>px">
									<?php $dividerStyle ='';?>
									<?php foreach($this->bPrData['styles']['dividers'] as $pName => $pValue):?>
									<?php $pName = str_replace('_','-' , $pName); ?>
									<?php $dividerStyle = $dividerStyle . ';'.$pName.':'.$pValue;?>
									<?php endforeach;?>
									<div class="divider" style="<?php echo substr($dividerStyle,1);?>">
									</div>
								</div>						
							<?php endforeach; ?>
						</div>
						<div id="bpm-project-footer-wrapper">
							<div id="bpm-inner-footer-wrapper">								
								<?php if($show_about_project || $show_publish_date):?>
								<div class="bpm-project-footer-block bpm-footer-basic-info">
									<?php if($show_about_project):?>		
									<div class="bpm-footer-block-heading">Basic Info</div>	
									<div class="bpm-footer-content-padding">						
									<?php echo $this->bPrData['description']; ?>
									</div>									
									<?php endif; ?>
									<?php if($show_publish_date):?> 
									<div class="bpm-footer-published-on">Published: <?php echo date('M d, Y', $this->bPrData['published_on']); ?></div>
									<?php endif;?>
								</div>
								<?php endif; ?>
								<?php if($show_project_by):?>
								<div class="bpm-project-footer-block bpm-footer-project-by">
									<div class="bpm-footer-block-heading">Project by</div>
									<div class="bpm-project-by-right-wrapper">
										<?php foreach($this->bPrData['owners'] as $owner) : ?>
											<div class="bpm-project-by-right">
												<div class="bpm-project-by-right-image">																							
													<?php
														$lastKey = 0; 
														$ownerImg = ""; 
														foreach($owner['images'] as $imKey => $imValue){
															if($lastKey < intval($imKey)){
																$lastKey = $imKey;
																$ownerImg = $imValue;	
															}														
														}
													?>												
													<img src="<?php echo $ownerImg; ?>" />												
												</div>
												<div class="bpm-project-by-right-author">
													<?php echo $owner['first_name'] . ' ' . $owner['last_name']; ?>
													<span class="bpm-project-by-place-right"> <i class="zmdi zmdi-pin"></i> <?php echo $owner['location']; ?></span>
												</div>
											</div>
										<?php endforeach;?>
									</div>
								</div>
								<?php endif; ?>
								<?php if($show_tags):?>	
								<div class="bpm-project-footer-block bpm-footer-basic-info">
									<div class="bpm-footer-block-heading">Tags</div>
									<div class="bpm-footer-content-padding">
									<?php foreach ($this->bPrData['tags'] as $bTag): ?>
									<span class="bpm-footer-tag"><?php echo $bTag; ?></span>
									<?php endforeach; ?>
									</div>
								</div>
								<?php endif; ?>
								<?php if($show_tools_used):?>
								<div class="bpm-project-footer-block bpm-footer-basic-info">
									<div class="bpm-footer-block-heading">Tools Used</div>
									<div class="bpm-footer-content-padding">
									<?php echo substr($bToolsUsed, 2);?> 
									</div>
								</div>
								<?php endif; ?>					
								<?php if($show_copyright_info):?>
								<div class="bpm-footer-copyrights-info">									
									<?php if($license_id != 7):?>
									<div class="bpm-sr-attribution">Attribution</div>
									<?php endif;?> 
									<?php if($license_id < 4 ):?> 
									<div class="bpm-sr-noncommercial">Non Commercial</div>
									<?php endif; ?>
									<?php if($license_id == 1 || $license_id ==4):?>
									<div class="bpm-sr-noderivatives">No Derivatives</div>
									<?php endif;?>
									<?php if($license_id == 2 || $license_id ==5):?>
									<div class="bpm-sr-sharealike">Share Alike</div>
									<?php endif;?>
									<?php if($license_id == 7):?>
									<div class="bpm-sr-zero">No Use</div>
									<?php endif; ?>					
								</div>								
								<?php endif; ?>
								<div class="bpm-report-project">
								 	<a href="https://help.behance.net/hc/en-us/requests/new" target="_blank"><i class="zmdi zmdi-alert-triangle"></i> Report</a>
								</div>
							</div>					
						</div>
					</div>
					<?php if($show_project_sidebar): ?>
					<div id="bop-project-right">
						<div class="sidebar-group">
							<?php if($show_project_by):?>
							<div id="bop-project-info-right" class="bop-project-right">
								<div class="bpm-title-right">Project By</div>
								<div class="bpm-project-by-right-wrapper">
									<?php foreach($this->bPrData['owners'] as $owner) : ?>
										<div class="bpm-project-by-right">
											<div class="bpm-project-by-right-image">																							
												<?php
													$lastKey = 0; 
													$ownerImg = ""; 
													foreach($owner['images'] as $imKey => $imValue){
														if($lastKey < intval($imKey)){
															$lastKey = $imKey;
															$ownerImg = $imValue;	
														}														
													}
												?>												
												<img src="<?php echo $ownerImg; ?>" />												
											</div>
											<div class="bpm-project-by-right-author">
												<?php echo $owner['first_name'] . ' ' . $owner['last_name']; ?>
												<span class="bpm-project-by-place-right"> <i class="zmdi zmdi-pin"></i> <?php echo $owner['location']; ?></span>
											</div>
										</div>
									<?php endforeach;?>
								</div>
							</div>
							<?php endif; ?>
							<?php if($show_project_details_wrapper || $show_publish_date):?>
							<div id="bop-project-about-right" class="bop-project-right">
								<?php if($show_project_title):?>
        							<div class="bpm-title-right"><?php echo $this->bPrData['name']; ?></div>
        							<?php endif;?>
        							<?php if($show_creative_fields):?>
        							<div id="bop-category"><?php echo substr($bFields, 2);?></div>
        							<?php endif; ?>
        							<div id="stats-top">
        								<?php if($show_views):?>
        								<span class="stats-top-project-views"><i class="zmdi zmdi-eye zmd-lg"></i> <?php echo $this->bPrData['stats']['views'] ; ?>  </span>
        								<?php endif; ?>
        								<?php if($show_appreciations):?>
        								<span class="stats-top-project-appreciations"><i class="zmdi zmdi-thumb-up zmd-lg"></i> <?php echo $this->bPrData['stats']['appreciations'] ; ?>  </span>
        								<?php endif; ?>
        								<?php if($show_comments):?> 
        								<span class="stats-top-project-comments"><i class="zmdi zmdi-comment-alt zmd-lg"></i> <?php echo $this->bPrData['stats']['comments'] ; ?>  </span>
        								<?php endif; ?>	
        							</div>
        							<?php if($show_publish_date):?> 
								<div class="bpm-published-on">Published: <?php echo date('M d, Y', $b_pr_data['published_on']); ?></div>
								<?php endif;?>	
							</div>
							<?php endif;?>
							<?php if($show_tools_used):?>
							<div id="bop-project-info-right" class="bop-project-right">
								<div class="bpm-title-right">Tools Used</div>
								<p><?php echo substr($bToolsUsed, 2);?></p> 
							</div>
							<?php endif; ?>	
							<?php if($show_project_details_wrapper && $show_project_info_wrapper):?>
							<div class="bpm-top-info-menu-dropdown-wrapper">
								<nav class="bpm-top-info-nav">
									<ul>
										<?php if($show_tools_used):?>
										<li>
											<a href="#"><i class="zmdi zmdi-info-outline zmd-lg"></i>Tools Used</a>
											<ul class="fallback">
												<li><?php echo substr($bToolsUsed, 2);?></li>
											</ul>
										</li>
										<?php endif; ?>	
										<?php if($show_about_project):?>		
										<li>
											<a href="#"><i class="zmdi zmdi-wrench zmd-lg"></i>About</a>
											<ul class="fallback">
												<li><?php echo $this->bPrData['description']; ?> </li>
											</ul>
										</li>
										<?php endif; ?>
										<?php if($show_project_by):?>
										<li>
											<a href="#"><i class="zmdi zmdi-account zmd-lg"></i>Credits</a>
											<ul class="fallback bpm-project-by-small">
												<div class="bpm-project-by-right-wrapper">
												<?php foreach($this->bPrData['owners'] as $owner) : ?>
													<div class="bpm-project-by-right">
														<div class="bpm-project-by-right-image">																							
															<?php
																$lastKey = 0; 
																$ownerImg = ""; 
																foreach($owner['images'] as $imKey => $imValue){
																	if($lastKey < intval($imKey)){
																		$lastKey = $imKey;
																		$ownerImg = $imValue;	
																	}														
																}
															?>												
															<img src="<?php echo $ownerImg; ?>" />												
														</div>
														<div class="bpm-project-by-right-author">
															<?php echo $owner['first_name'] . ' ' . $owner['last_name']; ?>
															<span class="bpm-project-by-place-right"> <i class="zmdi zmdi-pin"></i> <?php echo $owner['location']; ?></span>
														</div>
													</div>
												<?php endforeach;?>
												</div>
											</ul>
										</li>
										<?php endif; ?>
									</ul>
								</nav>
							</div>	
							<?php endif; ?>						
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>	
		</div>
	</div>
</div>