<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php defined('_JEXEC') or die;?>
<?php $bFields ='';?>
<?php foreach ($this->bPrData['fields'] as $bField){ 
	$bFields = $bFields. ', ' . $bField;
} ?> 


<style type="text/css">
	
	.bop-vac{
		font-family: 'Open Sans',sans-serif !important;
    	font-size: 12px;
    	font-style: normal;
    	font-weight: normal !important;
    	line-height: 24px;
	}
	
	.bop-extra{
		font-family: 'Open Sans',sans-serif !important;
    	font-size: 12px;
    	font-style: normal;
    	font-weight: normal !important;
    	line-height: 20px;
	}

	#bop-all-wrapper{
		background-color:<?php echo $this->backColor; ?>;
	}
	.bop-project-left .bop-primary-project-content{
		background-color: #<?php echo $this->bPrData['styles']['background']['color'];?>;
		background-image: url('<?php echo $this->bPrData['styles']['background']['image']['url'];?>');
		background-repeat: <?php echo $this->bPrData['styles']['background']['image']['repeat']; ?>;
		background-position: <?php echo $this->bPrData['styles']['background']['image']['position']; ?>;
		overflow-x: hidden;
	}
	.bop-primary-project-content a{
		<?php foreach($this->bPrData['styles']['text']['link'] as $pName => $pValue):?>
			<?php $pName = str_replace('_','-' , $pName); ?>
			<?php echo $pName.':'.$pValue.';';?>
		<?php endforeach; ?>
	}
	
	.bop-primary-project-content p{
		<?php foreach($this->bPrData['styles']['text']['paragraph'] as $pName => $pValue):?>
			<?php $pName = str_replace('_','-' , $pName); ?>
			<?php echo $pName.':'.$pValue.';';?>
		<?php endforeach; ?>
	}

</style>
<div id="bop-all-wrapper">
	<?php if(!(intval($this->advancedParams->showModal)) && intval($this->advancedParams->showBackButton)):?>
		<div id="bop-back-wrapper-large">
			<a href="javascript:void(0)" onclick="window.history.go(-1);">
				<div class="bop-back-button"><i class="fa fa-chevron-left"></i> Back</div>
			</a>
		</div>
	<?php endif; ?>
	<div id="bop-project-info-small">
			<?php if(!(intval($this->advancedParams->showModal)) && intval($this->advancedParams->showBackButton)):?>
			<div id="bop-back-wrapper-small">
				<a href="javascript:void(0)" onclick="window.history.go(-1);">
					<div class="bop-back-button"><i class="fa fa-chevron-left"></i> Back</div>
				</a>
			</div>
			<?php endif; ?>
			<div class="bop-project-info-small-left">
				<div class="bop-project-info-small-header">
					<?php if($this->params->get('show_title')):?>
					<h2><?php echo $this->bPrData['name']; ?></h2>
					<?php endif;?>
					<?php if($this->params->get('show_fields')):?>
					<h5><?php echo substr($bFields, 2);?> </h5>
					<?php endif;?>
					<h5 class="bop-project-info-small-stats">
						<?php if($this->params->get('show_views')):?>
							<i class="fa fa-eye fa-lg"> </i>&nbsp; 
							<?php echo $this->bPrData['stats']['views'] ; ?>&nbsp; 
						<?php endif;?>	
						<?php if($this->params->get('show_appreciations')):?> 
							| &nbsp;<i class="fa fa-thumbs-up fa-lg"> </i>&nbsp;  
							<?php echo $this->bPrData['stats']['appreciations'] ; ?> &nbsp;
						<?php endif;?>	
						<?php if($this->params->get('show_comments')):?> 
							| &nbsp;<i class="fa fa-comment fa-lg"> </i>&nbsp; 
							<?php echo $this->bPrData['stats']['comments'] ; ?>
						<?php endif;?>
					</h5>
				</div>
			</div>
			<?php if($this->params->get('show_project_by')):?>
				<div class="bop-project-info-small-right">
					<?php foreach($this->bPrData['owners'] as $owner) : ?>	
						<h5>				
							<a href="<?php echo $owner['url']?>" target="_blank">
								<?php echo $owner['first_name']. ' '. $owner['last_name']; ?>		 
							</a>
						</h5>					
					<?php endforeach; ?>				
				</div>
			<?php endif;?>
			
	</div>
	<div class="bop-project-area"  style="background-color: <?php echo $this->backColor; ?> !important;">
		<div class="bop-project-wrapper">
			<div class="bop-project-left">
				<div class="bop-left-project-header">
					<?php if($this->params->get('show_title')):?>
					<span class= "bop-header-title">
						<?php echo $this->bPrData['name']; ?>
					</span>					
					<?php endif;?>
					<?php if($this->params->get('show_fields')):?>
					<h5>
						<?php echo substr($bFields, 2);?>
					</h5>
					<?php endif;?>					
				</div>
				
				<div class="bop-primary-project-content">
					<div class="spacer" style="height: <?php echo $this->bPrData['styles']['spacing']['project']['top_margin'];?>px">
					</div>
					<?php foreach($this->bPrData['modules'] as $bModule):?>
						<div class="bop-text-center">
						<?php if($bModule['type'] == 'image'): ?>
							<img src="<?php echo $bModule['src'] ;?>"
								 width="<?php echo $bModule['width'];?>" 
								 height="<?php echo $bModule['height'];?>" />
						<?php elseif ($bModule['type'] == 'text'):?>
							<?php echo $bModule['text']; ?>						
						<?php elseif ($bModule['type'] == 'audio'):?>
							<?php echo $bModule['embed']; ?>
						<?php elseif ($bModule['type'] == 'embed'):?>
							<?php echo $bModule['embed']; ?>
						<?php elseif ($bModule['type'] == 'video'):?>
							<a href="<?php echo $bModule['src']; ?>" target="_blank" >Video</a>
						<?php endif;?>			
						</div>
						<div class="spacer" style="height: <?php echo $this->bPrData['styles']['spacing']['modules']['bottom_margin'];?>px">
							<?php $dividerStyle ='';?>
							<?php foreach($this->bPrData['styles']['dividers'] as $pName => $pValue):?>
							<?php $pName = str_replace('_','-' , $pName); ?>
							<?php $dividerStyle = $dividerStyle . ';'.$pName.':'.$pValue;?>
							<?php endforeach;?>
							<div class="divider" style="<?php echo substr($dividerStyle,1);?>">
							</div>
						</div>						
					<?php endforeach; ?>
				</div>
			</div>
			<div id="bop-project-right">
				<?php if($this->params->get('show_project_by')):?>
				<div id="bop-project-info-right" class="bop-project-right">
					<h5>Project By:</h5>
					<ul>
						<?php foreach($this->bPrData['owners'] as $owner) : ?>
						<li>
							<a href="<?php echo $owner['url']?>" target="_blank">
								<?php echo $owner['first_name']. ' '. $owner['last_name']; ?>		 
							</a> 
						</li>
						<?php endforeach; ?>
						
					</ul>
				</div>
				<?php endif;?>
				
				
				<div id="bop-project-about-right" class="bop-project-right">
					<?php if($this->params->get('show_about_project')):?>
						<h5>About Project :</h5>
						<?php $append='&hellip;';
							$dText = $this->bPrData['description'];?>
						<?php if(strlen($dText)<=120):?>
							<p><?php echo $dText; ?></p>
						<?php else: ?>
							<div class="bop-short-desc">
								<?php $out = substr($dText,0,140);?>
		   						<?php if (strpos($dText,' ') === FALSE){
		   							echo  $out.$append;
		   						}else{ 
		   							echo  '<p>'.preg_replace('/\w+$/','',$out).$append.'</p>';
		   						}?>
								<span id="bop-read-more" style="color:#1769FF;cursor:pointer;text-decoration:none;">Read More</span>
							</div>
							<div class="bop-full-desc" style="display:none">
								<p><?php echo $dText; ?></p>
								<span id="bop-read-less" style="color:#1769FF;cursor:pointer;text-decoration:none;">Read Less</span>
							</div>
						<?php endif;?>
					<?php endif;?>
					<?php if($this->params->get('show_publish_date')):?>					
					<span class="bop-extra">Published: <?php echo date('M d, Y', $this->bPrData['published_on']); ?></span>
					<?php endif;?>					
				</div>
				
				<?php if($this->params->get('show_views') ||
					$this->params->get('show_appreciations')||
					$this->params->get('show_comments')):?>		
							
					<div id="bop-project-stats" class="bop-project-right">
						<div class="stats-left">
							<?php if($this->params->get('show_views')):?>				
							<div id="show_views_wrapper"><span class="bop-vac"><i class="fa fa-eye fa-lg"> </i>&nbsp; Views :</span></div>
							<?php endif;?>	
							<?php if($this->params->get('show_appreciations')):?>
							<div id="show_appreciations_wrapper"><span class="bop-vac"><i class="fa fa-thumbs-up fa-lg"> </i>&nbsp; Appreciations :</span></div>
							<?php endif;?>	
							<?php if($this->params->get('show_comments')):?>
							<div id="show_comments_wrapper"><span class="bop-vac"><i class="fa fa-comment fa-lg"> </i>&nbsp; Comments :</span></div>
							<?php endif;?>	
							
						</div>
						<div class="stats-right">
							<?php if($this->params->get('show_views')):?>
							<div id="show_views_wrapper"><span class="bop-vac"><i class="fa fa-eye fa-lg" style="opacity:0"> </i>&nbsp; <?php echo $this->bPrData['stats']['views'] ; ?></span></div>
							<?php endif;?>	
							<?php if($this->params->get('show_appreciations')):?>
							<div id="show_appreciations_wrapper"><span class="bop-vac"><i class="fa fa-eye fa-lg" style="opacity:0"> </i>&nbsp; <?php echo $this->bPrData['stats']['appreciations'] ; ?></span></div>
							<?php endif;?>	
							<?php if($this->params->get('show_comments')):?>
							<div id="show_comments_wrapper"><span class="bop-vac"><i class="fa fa-eye fa-lg" style="opacity:0"> </i>&nbsp; <?php echo $this->bPrData['stats']['comments'] ; ?></span></div>
							<?php endif;?>						
						</div>
					</div>
				<?php endif;?>
				
				<?php if($this->params->get('show_tiny_url')):?>
				<div id="bop-project-short-link" class="bop-project-right">
					<span class="bop-extra"><i class="fa fa-link fa-lg"> </i>&nbsp; <a target="_blank" href="<?php echo $this->bPrData['short_url']; ?>"><?php echo $this->bPrData['short_url']; ?></a></span>
				</div>
				<?php endif;?>		
				
				<?php if($this->params->get('show_project_tags')):?>
				<div id="bop-project-short-link" class="bop-project-right">
					<h5>Project Tags:</h5>					
					<?php foreach ($this->bPrData['tags'] as $bTag): ?>
					<a href="#" class="bop-tags"><?php echo $bTag; ?></a> &nbsp;
					<?php endforeach; ?>					
				</div>	
				<?php endif;?>		
				
				
				
				<div id="bop-project-info-right" class="bop-project-right">
					<?php if($this->params->get('show_tools_used')):?>	
					<h5>
						<i class="fa fa-cogs fa-lg"> </i>&nbsp; Tools Used (3)
					</h5>
					<?php endif;?>
					
					<?php if($this->params->get('show_copyright_info')):?>					
					<h5>
						<i class="fa fa-info fa-lg"> </i>&nbsp; Project Copyright Info
					</h5>
					<ul>
						<li><?php echo $this->bPrData['copyright']['license'];?></li>
						<li><?php echo $this->bPrData['copyright']['description'];?></li>
						<li><?php echo $this->bPrData['copyright']['license_id'];?></li>
					</ul>
					<?php endif;?>
											
					<h5><i class="fa fa-warning fa-lg"> </i>&nbsp; 
					<a href ="https://behancenetwork.zendesk.com/anonymous_requests/new" target="_blank">Report</a></h5>
				</div>			
			</div>
		</div>
	</div>
</div>
<script type="text/javascript" src ="<?php echo JUri::base() . 'components/com_bportman/helpers/html/js/bportman_site.js';?>"></script>
<script type="text/javascript">
	jQuery(document).ready(function() {
		bopHandler.handleProjectDesc(jQuery);			
	});
</script>