<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
// No direct access to this file
defined('_JEXEC') or die;

// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

/**
 * bcategories Form Field class for the HelloWorld component
 */
class JFormFieldBCategories extends JFormFieldList
{
	
	protected $type = 'bcategories';

	protected function getOptions()
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('c.id as catid, c.title AS category_title');
		$query->from($db->quoteName('#__categories').' AS c');
		$query->where('c.extension = "com_bportman"');
		$query->where('c.published = 1');
		
		
		$db->setQuery((string)$query);
		$categories = $db->loadObjectList();
		$options = array();
		if ($categories)
		{
			foreach($categories as $category)
			{
				$options[] = JHtml::_('select.option', $category->catid, $category->category_title);
			}
		}
		$options = array_merge(parent::getOptions(), $options);
		return $options;
	}
}