<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
	// No direct access
	defined('_JEXEC') or die('Restricted access');
	 
	$app = JFactory::getApplication();
	
	if ($app->isSite())
	{
		JSession::checkToken('get') or die(JText::_('JINVALID_TOKEN'));
	}
	
	JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
	 // Load tooltip behavior
	JHtml::_('behavior.tooltip');
	JHtml::_('behavior.framework', true);
	
	$function = $app->input->getCmd('function', 'jSelectProject');
	$listOrder     = $this->escape($this->state->get('list.ordering'));
	$listDirn      = $this->escape($this->state->get('list.direction'));
	
?>
<div style="margin-top:30px;">
<form action="<?php echo JRoute::_('index.php?option=com_bportman&view=projects&layout=modal&tmpl=component&function='.$function.'&'
.JSession::getFormToken().'=1');?>" method="post" name="adminForm" id="adminForm" class="form-inline">	
	<div id="filter-bar" class="btn-toolbar">
		<div class="filter-search btn-group pull-left">
			<label for="filter_search" class="element-invisible"><?php echo JText::_('COM_BPORTMAN_SEARCH_IN_PROJECT_NAME');?>
			</label> <input type="text" name="filter_search" id="filter_search"
				placeholder="<?php echo JText::_('COM_BPORTMAN_SEARCH_IN_PROJECT_NAME'); ?>"
				value="<?php echo $this->escape($this->state->get('filter.search')); ?>"
				title="<?php echo JText::_('COM_BPORTMAN_SEARCH_IN_PROJECT_NAME'); ?>" />
		</div>
		<div class="btn-group pull-left">
			<button class="btn hasTooltip" type="submit"
				title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>">
				<i class="icon-search"></i>
			</button>
			<button class="btn hasTooltip" type="button"
				title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>"
				onclick="document.id('filter_search').value='';this.form.submit();">
				<i class="icon-remove"></i>
			</button>
		</div>
		<div class="btn-group pull-right hidden-phone">
			<label for="limit" class="element-invisible">
			<?php echo JText::_
			('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC');?>
			</label>
			<?php echo $this->pagination->getLimitBox(); ?>
		</div>
	</div>
	<hr class="hr-condensed" />
	<div class="filters pull-left">
		<select name="filter_state" class="input-medium" onchange="this.form.submit()">
			<option value=""><?php echo JText::_('JOPTION_SELECT_PUBLISHED');?></option>
			<?php echo JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), 'value', 'text', $this->state->get('filter.state'), true);?>
		</select>
		
		<select name="filter_category_id" class="input-medium" onchange="this.form.submit()">
			<option value=""><?php echo JText::_('JOPTION_SELECT_CATEGORY');?></option>
			<?php echo JHtml::_('select.options', JHtml::_('category.options', 'com_bportman'), 'value', 'text', $this->state->get('filter.category_id'));?>
		</select>
		
		<select name="filter_access" class="input-medium" onchange="this.form.submit()">
			<option value=""><?php echo JText::_('JOPTION_SELECT_ACCESS');?></option>
			<?php echo JHtml::_('select.options', JHtml::_('access.assetgroups'), 'value', 'text', $this->state->get('filter.access'));?>
		</select>
	</div>
	<table class="table table-striped table-condensed" id="projectList">
	    <thead>
	        <tr>
	            <th class="nowrap">
	                <?php echo JHtml::_('grid.sort', 'COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_NAME', 'a.b_project_name', $listDirn, $listOrder); ?>             
	            </th>
	            <th class="nowrap hidden-phone">
	                <?php echo JHtml::_('grid.sort', 'JSTATUS', 'a.state', $listDirn, $listOrder); ?>
	            </th>
	            <th class="nowrap hidden-phone">
	                <?php echo JHtml::_('grid.sort', 'COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_ID', 'a.b_project_id', $listDirn, $listOrder); ?>
	            </th>
	            <th class="nowrap hidden-phone">
	                <?php echo JHtml::_('grid.sort', 'COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_CRDATE', 'a.b_create_date', $listDirn, $listOrder); ?>
	            </th>
	            <th class="nowrap hidden-phone">
	                <?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ACCESS', 'a.access', $listDirn, $listOrder); ?>
	            </th>
	        </tr>
	    </thead>
	    <tfoot>
			<tr>
				<td colspan="5">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
	    <tbody>
	<?php foreach ($this->items as $i => $item) : ?>
	        <tr class="row<?php echo $i % 2; ?>">
	            <td class="order nowrap">
	                <a class="pointer" onclick="if (window.parent) window.parent.<?php echo $this->escape($function);?>('<?php echo $item->id; ?>', '<?php echo $this->escape(addslashes($item->b_project_name)); ?>');"><?php echo $this->escape($item->b_project_name); ?></a>
	                <div class="small">
						Category: <?php echo $this->escape($item->category_title); ?>
					</div>	
	            </td>
	            <td class="order nowrap hidden-phone"><?php echo JHtml::_('jgrid.published', $item->state, $i, 'projects.'); ?></td>
	            <td class="order nowrap hidden-phone"><?php echo $item->b_project_id; ?></td>
	            <td class="order nowrap hidden-phone"><?php echo $item->b_create_date; ?></td>
	            <td class="order nowrap hidden-phone"><?php echo $item->access_level; ?></td>
	        </tr>
	<?php endforeach; ?>
	    </tbody>
	</table>
	<div>
	    <input type="hidden" name="task" value="" />
	    <input type="hidden" name="boxchecked" value="0" />
	    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
	    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
	    <?php echo JHtml::_('form.token'); ?>
	</div>	
</form>
</div>
